unswear
=======

[![Gem Version](https://badge.fury.io/rb/unswear.svg)](http://badge.fury.io/rb/unswear)

Censor swear words in a string

## Install
You can install unswear via [RubyGems](https://rubygems.org/gems/unswear)

```bash
$ gem install unswear
```

Or stick it in your Gemfile (and smoke it)

```ruby
gem 'unswear'
```

## Usage

Censor a string
```ruby
require 'unswear' # Grab all of Unswear's methods

"holy fuckin shit".censor # => "holy f*ck*n sh*t"
```

.. or check if a string contains a swear

```ruby
"oh shit".swear? # => true
"sandwich".swear? # => false
"fuckface".curse? # => true
```

You can also list the swears that will be censored

```ruby
Unswear.words # => ["aclit", "adick", "aids", "alabama porch monkey", "anal intruder" ...
```

And if you'd like to check the version, there's a method for that as well

```ruby
Unswear.version # => "5.0"
```

## To Do
- [x] Create dangerous version of `String#censor`
- [x] Fix all of the damn global variables
- [x] For some reason words by themselves aren't being censored:

  ```ruby
  [1] pry(main)> 'holy shit'.censor
  => "holy sh*t"
  [2] pry(main)> 'shit'.censor
  => nil
```
- [ ] Add parameter to `#censor` to use something other than `*` for censoring


## License
The MIT License (MIT)

Copyright (c) 2015 Josh Trommel

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

## Disclaimer
Please don't get offended by any of the words on this list. I don't mean any of it. If you're offended, please create and issue and tell me that I'm a bad person.

## Credits
Unswear is basically a simpler [obscenity](https://github.com/tjackiw/obscenity). [blacklist.txt](https://github.com/tjackiw/obscenity/blob/master/config/blacklist.yml) is from obscenity, so thank you, Thiago Jackiw.
